CREATE TABLE `agencies` (
  `id_agency` int(10) NOT NULL AUTO_INCREMENT COMMENT 'ID Utilizador',
  `id_status` int(10) DEFAULT '0' COMMENT 'ID Estado',
  `id_entity` varchar(50) NOT NULL DEFAULT '',
  `id_user_type` int(10) DEFAULT '0' COMMENT 'ID Tipo de Utilizador',
  `id_cat1` int(10) DEFAULT '0' COMMENT 'ID Marca',
  `id_cat2` int(10) DEFAULT '0' COMMENT 'ID Modelo',
  `id_cat3` int(10) DEFAULT '0' COMMENT 'ID Verso / Classe',
  `is_agent` tinyint(4) NOT NULL DEFAULT '0',
  `company_name` varchar(150) NOT NULL DEFAULT '' COMMENT 'Nome da Empresa',
  `cat1` varchar(50) NOT NULL DEFAULT '',
  `cat2` varchar(50) NOT NULL DEFAULT '' COMMENT 'Modelo',
  `cat3` varchar(50) NOT NULL DEFAULT '' COMMENT 'Verso / Classe',
  `cat1_permalink` varchar(50) NOT NULL DEFAULT '' COMMENT 'Marca Permalink',
  `cat2_permalink` varchar(50) NOT NULL DEFAULT '' COMMENT 'Modelo Permalink',
  `cat3_permalink` varchar(50) NOT NULL DEFAULT '' COMMENT 'Verso / Classe Permalink',
  `id_zone1` int(10) DEFAULT '0' COMMENT 'ID Distrito',
  `id_zone2` int(10) DEFAULT '0' COMMENT 'ID Concelho',
  `id_zone3` int(10) DEFAULT '0' COMMENT 'ID Freguesia',
  `zone1` varchar(50) NOT NULL DEFAULT '' COMMENT 'Distrito',
  `zone2` varchar(50) NOT NULL DEFAULT '' COMMENT 'Concelho',
  `zone3` varchar(50) NOT NULL DEFAULT '' COMMENT 'Freguesia',
  `zone1_permalink` varchar(50) NOT NULL DEFAULT '' COMMENT 'Distrito Permalink',
  `zone2_permalink` varchar(50) NOT NULL DEFAULT '' COMMENT 'Concelho Permalink',
  `zone3_permalink` varchar(50) NOT NULL DEFAULT '' COMMENT 'Freguesia Permalink',
  `company_brand` varchar(150) NOT NULL DEFAULT '' COMMENT 'Nome do Stand',
  `company_address` varchar(150) NOT NULL DEFAULT '' COMMENT 'Morada',
  `company_postal_code` varchar(150) NOT NULL DEFAULT '' COMMENT 'Cdigo Postal',
  `company_county` varchar(150) NOT NULL DEFAULT '' COMMENT 'Localidade',
  `company_county_zone` varchar(150) NOT NULL DEFAULT '' COMMENT 'Zona',
  `company_phone` varchar(150) NOT NULL DEFAULT '' COMMENT 'Telefone',
  `company_fax` varchar(25) NOT NULL DEFAULT '' COMMENT 'Fax',
  `company_responsible` varchar(150) NOT NULL DEFAULT '' COMMENT 'Pessoa Responsvel',
  `company_mobile` varchar(150) NOT NULL DEFAULT '' COMMENT 'Telemovel',
  `company_email` varchar(150) NOT NULL DEFAULT '' COMMENT 'Email',
  `company_website` varchar(150) NOT NULL DEFAULT '' COMMENT 'Website',
  `company_vat_number` varchar(50) NOT NULL DEFAULT '' COMMENT 'Numero de Identificacao Fiscal',
  `company_description` varchar(1000) NOT NULL DEFAULT '' COMMENT 'Acerca da Empresa',
  `company_subdomain` varchar(150) NOT NULL DEFAULT '' COMMENT 'Subdominio',
  `company_usr` varchar(30) NOT NULL DEFAULT '' COMMENT 'Nome de Utilizador',
  `company_pw` varchar(30) NOT NULL DEFAULT '' COMMENT 'Password',
  `company_keyhash` varchar(25) NOT NULL DEFAULT '' COMMENT 'Numero Interno',
  `date_service_payment` datetime DEFAULT '2001-01-01 00:00:00' COMMENT 'Data de Ultimo Pagamento do Servio',
  `date_service_expires` datetime DEFAULT '2001-01-01 00:00:00' COMMENT 'Data de Expirao do Servio',
  `date_service_warning` datetime DEFAULT '2001-01-01 00:00:00' COMMENT 'Data de Aviso de Expirao do Servio',
  `service_is_active` int(10) DEFAULT '0' COMMENT 'Servio Activo (= ID Status)',
  `service_level` int(10) DEFAULT '0' COMMENT 'Escalo do Servio',
  `service_max` int(10) DEFAULT '0' COMMENT 'Mximo Permitido',
  `service_certification` int(10) DEFAULT '0' COMMENT 'Tipo de Certificao',
  `premium_listing` int(11) NOT NULL DEFAULT '0',
  `premium_listing_date` datetime DEFAULT NULL,
  `date_insert` datetime DEFAULT '2001-01-01 00:00:00' COMMENT 'Data de Insero do Registo',
  `date_update` datetime DEFAULT '2001-01-01 00:00:00' COMMENT 'Data de Actualizao do Registo',
  `data_delete` datetime DEFAULT '2001-01-01 00:00:00' COMMENT 'Data de Remoo do Registo',
  `ip_insert` varchar(20) NOT NULL DEFAULT '' COMMENT 'IP do Utilizador na Insero',
  `ip_update` varchar(20) NOT NULL DEFAULT '' COMMENT 'IP do Utilizador na Actualizao',
  `ip_delete` varchar(20) NOT NULL DEFAULT '' COMMENT 'IP do Utilizador na Remoo',
  `images_num` tinyint(4) NOT NULL DEFAULT '0',
  `images_names` varchar(50) NOT NULL DEFAULT '',
  `username` varchar(150) NOT NULL DEFAULT '',
  `password` varchar(150) NOT NULL DEFAULT '',
  `lang` varchar(5) NOT NULL DEFAULT 'pt',
  `last_update` datetime DEFAULT '2001-01-01 00:00:00' COMMENT 'Data de Actualizao (= date_update)',
  PRIMARY KEY (`id_agency`),
  UNIQUE KEY `ix_username` (`username`) USING BTREE,
  KEY `id_status` (`id_status`),
  KEY `ix_id_zone1` (`id_zone1`),
  KEY `ix_id_zone2` (`id_zone2`),
  KEY `ix_id_zone3` (`id_zone3`)
) ENGINE=InnoDB AUTO_INCREMENT=1005 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT

