DROP VIEW IF EXISTS rpt_qualitydaily_vw_all_transports;

CREATE ALGORITHM=UNDEFINED SQL SECURITY DEFINER VIEW `rpt_qualitydaily_vw_all_transports` AS
SELECT
	  t.id_agency as id_agency
	, a.company_name as agency
	, t.transport_date
	, t.transport_type
	
	, t.hour_expected
	, t.hour_real
	
	-- TRANSPORT
	, IF(t.id_transport_timekeeping_type = 1, 1, 0) as TRANSPORT
	, IF(t.id_transport_timekeeping_type = 1 AND t.hour_real <> '', 1, 0) as IS_TRANSPORT
	, IF(t.id_transport_timekeeping_type = 1 AND t.hour_real = '', 1, 0) as IS_FAULT
	, IF(t.id_transport_timekeeping_type = 1 
		AND TIME_TO_SEC(t.hour_real) - TIME_TO_SEC(IF(t.hour_expected IS NULL OR t.hour_expected = '00:00:00', '24:00:00', t.hour_expected)) > 1800 
		AND TIME_TO_SEC(t.hour_real) - TIME_TO_SEC(IF(t.hour_expected IS NULL OR t.hour_expected = '00:00:00', '24:00:00', t.hour_expected)) < 43200, 1, 0) as IS_DELAY

	-- EXTRA TRANSPORT
	, IF(t.id_transport_timekeeping_type = 3, 1, 0) as EXTRA_TRANSPORT
	, IF(t.id_transport_timekeeping_type = 3 AND t.hour_real <> '', 1, 0) as EXTRA_IS_TRANSPORT
	, IF(t.id_transport_timekeeping_type = 3 AND t.hour_real = '', 1, 0) as EXTRA_IS_FAULT
	, IF(t.id_transport_timekeeping_type = 3 
			AND TIME_TO_SEC(t.hour_real) - TIME_TO_SEC(IF(t.hour_expected IS NULL OR t.hour_expected = '00:00:00', '24:00:00', t.hour_expected)) > 1800 
			AND TIME_TO_SEC(t.hour_real) - TIME_TO_SEC(IF(t.hour_expected IS NULL OR t.hour_expected = '00:00:00', '24:00:00', t.hour_expected)) < 43200, 1, 0) as EXTRA_IS_DELAY

FROM
	data_timekeeping t
	INNER JOIN agencies a ON t.id_agency = a.id_agency
	INNER JOIN transport_timekeeping_types ttt ON t.id_transport_timekeeping_type = ttt.id_legend
